メインコンテンツまでスキップ

Convert Cluster to Global Cluster (V2)

Converts an existing dedicated cluster into the primary member of a new Global Cluster, and creates one or more secondary member clusters.

POST/v2/globalClusters/convert
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
clusterIdstringrequired

Existing dedicated cluster ID to convert into the primary Global Cluster member.

Example Value: in01-xxxxxxxxxxxxxxx
globalClusterNamestringrequired

New Global Cluster display name.

Example Value: my-global-cluster
secondaryClustersarrayrequired

Secondary clusters to create as Global Cluster members. At least one item is required.

[]secondaryClustersobjectrequired
clusterNamestringrequired

Secondary cluster display name.

Example Value: secondary-cluster-ap
regionIdstringrequired

Secondary cluster region ID.

Example Value: aws-ap-southeast-1
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/convert" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"clusterId": "in01-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"secondaryClusters": [
{
"clusterName": "secondary-cluster-us-east",
"regionId": "aws-us-east-1"
}
]
}'
Responses200 - application/json
globalClusterIdstring

New Global Cluster ID.

Example Value: glo-xxxxxxxxxxxxxxx
jobIdstring

Job ID for the asynchronous conversion operation.

Example Value: job-xxxxxxxxxxxxxxx

Returns an error message.

codeinteger

Response code.

Example Value: 400
messagestring

Error message.

Example Value: Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"jobId": "job-xxxxxxxxxxxxxxx"
}